diff --git a/web/pgadmin/browser/server_groups/servers/databases/templates/databases/js/databases.js b/web/pgadmin/browser/server_groups/servers/databases/templates/databases/js/databases.js
index 5d55170..5d7f1a0 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/templates/databases/js/databases.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/templates/databases/js/databases.js
@@ -103,10 +103,12 @@ function($, _, S, pgAdmin, pgBrowser, Alertify) {
         return server.connected && server.user.can_create_db;
       },
       is_not_connected: function(node) {
-        return (node && node.connected != true);
+        return (node && node._type == "database" &&
+                node.connected != true);
       },
       is_connected: function(node) {
-        return (node && node.connected == true && node.canDisconn == true);
+        return (node && node._type == "database" &&
+                  node.connected == true && node.canDisconn == true);
       },
       callbacks: {
         /* Connect the database */
diff --git a/web/pgadmin/browser/server_groups/servers/templates/servers/servers.js b/web/pgadmin/browser/server_groups/servers/templates/servers/servers.js
index 33deafb..78bf67b 100644
--- a/web/pgadmin/browser/server_groups/servers/templates/servers/servers.js
+++ b/web/pgadmin/browser/server_groups/servers/templates/servers/servers.js
@@ -72,10 +72,12 @@ function($, _, S, pgAdmin, pgBrowser, alertify) {
           '{{ _('At least one privilege should be selected.') }}';
       },
       is_not_connected: function(node) {
-        return (node && node.connected != true);
+        return (node && node._type == "server" &&
+                node.connected != true);
       },
       is_connected: function(node) {
-        return (node && node.connected == true);
+        return (node && node._type == "server" &&
+                  node.connected == true);
       },
       enable_reload_config: function(node) {
         // Must be connected & is Super user
